%define debug_package %{nil}

Summary:	Find processes and threads in a Windows memory dump

Packager:	Lawrence R. Rogers (lrr@cert.org)

Name:		ptfinder
Version:	0.3.05
Release:	2%{?dist}
URL:		http://computer.forensikblog.de/en/2007/11/ptfinder-version-0305.html

License:	GPL

Group:		Applications/Forensics Tools

Source: 	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	perl perl-XML-Writer
BuildArch:      noarch

%description
Pasco will parse the information in an index.dat file and output the
results in a field delimited manner so that it may be imported into
your favorite spreadsheet program. Pasco is built to work on multiple
platforms and will execute on Windows (through Cygwin), Mac OS X, Linux,
and *BSD platforms.

%prep
%setup -n %{name}-%{version}
gunzip ptfinder.1.gz
%patch0 -p1

%build
%{__make}

%install
%{__install} -Dp -m755 ptfinder_xpsp2.pl %{buildroot}%{_bindir}/ptfinder.pl
%{__install} -Dp -m755 ptfinder_vista.pl %{buildroot}%{_bindir}/ptfinder_vista.pl
%{__install} -Dp -m755 ptfinder_w2003.pl %{buildroot}%{_bindir}/ptfinder_w2003.pl
%{__install} -Dp -m755 ptfinder_w2k.pl %{buildroot}%{_bindir}/ptfinder_w2k.pl
%{__install} -Dp -m755 ptfinder_xpsp2.pl %{buildroot}%{_bindir}/ptfinder_xpsp2.pl
%{__install} -Dp -m755 ptfinder_xp.pl %{buildroot}%{_bindir}/ptfinder_xp.pl
%{__install} -Dp -m755 PTFinder.xsd %{buildroot}%{_libdir}/PTFinder.xsd
%{__install} -Dp -m755 ptfinder.1 %{buildroot}%{_mandir}/man1/ptfinder.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(444, bin, bin, 0755)
%doc CHANGES COPYING ptfinder.html README
%attr(555, bin, bin)	%{_bindir}/ptfinder*.pl
%attr(444, bin, bin)	%{_libdir}/PTFinder.xsd
%attr(444, bin, bin)	%{_mandir}/man1/ptfinder.1.gz

%changelog
